%define 	pname qmailanalog
%define 	pversion 0.70
%define 	bversion 8
%define 	rpmrelease iworx

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define		build_rhe_8x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}
%{?_with_rhe8x: 	%{expand: %%define build_rhe_8x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_8x}
%define		oscode rhe8x
%define 	ostype Almalinux 8.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%define release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define 	release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:        Analyze qmail logs
Name:		%{pname}
Version:	%{pversion}
Release:        %{release}
License:        Public Domain
Group:          Applications/System
Source:         qmailanalog-0.70.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{pversion}-root
URL:            http://cr.yp.to/qmailanalog.html
Packager:       Joseph Purkis <jpurkis@interworx.com>

Patch0:         qmailanalog-0.70.errno.patch
Patch1:         qmailanalog-0.70.gnusort.patch

BuildRequires:  groff
Requires:       qlogtools

%description
qmailanalog is a collection of tools to help you analyze qmail's
activity record. It supplies statistics to answer a wide variety of
questions.

%prep

%setup

%patch0 -p1
%patch1 -p1

%build
make

%post

# Add qmailanalog man dir to man path (if neccessary)
if [ -f /etc/man.config ]; then
        if ! grep 'MANPATH  /usr/local/qmailanalog/man' /etc/man.config > /dev/null; then
                echo "MANPATH  /usr/local/qmailanalog/man" >> /etc/man.config
        fi
fi


%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/qmailanalog

echo "$RPM_BUILD_ROOT/usr/local/qmailanalog" >conf-home
rm -f auto*.o install instcheck
make install instcheck
./install
./instcheck

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BLURB CHANGES README THANKS TODO
/usr/local/qmailanalog

%changelog
* Wed Sep 15 2021 Joseph Purkis <jpurkis@interworx.com>
- Updated spec to current format, added Almalinux build
* Tue Sep 20 2011 Paul Pehler <poehler@interworx.com>
- Added gnusort patch
* Tue Sep 20 2011 Paul Pehler <poehler@interworx.com>
- Initial packaging
